#include<fstream>
using namespace std;
int prime(int a)
{
	int ok=1;
	int i;
	for(i=2;i*i<=a;i++)
	{
		if(a%i==0)
		{
			ok=0;
			break;
		}
	}
	return ok;
}
int main()
{
	ifstream f1("NTMAX.INP");
	ofstream f2("NTMAX.OUT");
	int n;
	f1>>n;
	f1.close();
	int i;
	for(i=n;i>=2;i--)
	{
		if(prime(i)==1)
		{
			f2<<i;
			break;
		}
	}
	f2.close();
	return 0;
}

